import DashboardNav from "@/components/nav"
import { SiteFooter } from "@/components/site-footer"
import { dashboardConfig } from "@/lib/config/dashboard"
import { getCurrentUser } from "@/lib/session"

interface DashboardLayoutProps {
    children?: React.ReactNode
}
export default async function ContentLayout({
    children,
}: DashboardLayoutProps) {
    const user = await getCurrentUser()

    return (
        <div className="flex flex-col min-h-screen">
            <div className="mx-32 my-6 flex-1 md:grid md:grid-cols-[220px_1fr] md:gap-6 lg:grid-cols-[240px_1fr] lg:gap-10">
                <aside className="hidden w-[200px] flex-col md:flex">
                    <div className="sticky top-0">
                        <DashboardNav items={dashboardConfig.sidebarNav} />
                    </div>
                </aside>
                <main className="flex w-full flex-1 flex-col overflow-hidden">
                    {children}
                </main>
            </div>
            <SiteFooter className="border-t" />
        </div>
    )
}